Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1086937 - Add ppc64le support to Thunderbird
Summary: Add ppc64le support to Thunderbird
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-04-11 21:28 UTC by Gustavo Luiz Duarte
Modified: 2014-05-06 07:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-06 07:46:17 UTC


Attachments (Terms of Use)
Part 1: Build/config support (deleted)
2014-04-11 21:31 UTC, Gustavo Luiz Duarte
no flags Details | Diff
Part2: libffi support (deleted)
2014-04-11 21:33 UTC, Gustavo Luiz Duarte
no flags Details | Diff
Part 3: xptcall port (deleted)
2014-04-11 21:34 UTC, Gustavo Luiz Duarte
no flags Details | Diff
Part 4: js support (deleted)
2014-04-11 21:34 UTC, Gustavo Luiz Duarte
no flags Details | Diff

Description Gustavo Luiz Duarte 2014-04-11 21:28:46 UTC
The new little-endian 64-bit PowerPC platform (powerpc64le-linux) is not currently supported by Thunderbird.  The following is required to have ppc64le support on Thunderbird:

1. build/config support
2. Javascript build/config support
3. js/src/ctypes - libffi backport
4. xptcall port

Ulrich Weigand has implemented that and posted his work on the following bz:
https://bugzilla.mozilla.org/show_bug.cgi?id=976648

Considering Ulrich's patches have been merged into mozilla-central, can we please add those patches to Rawhide's thunderbird package?
To make sure we don't break other arches, you can apply these patches only on ppc64le.

I will attach Ulrich's patches backported to Rawhide (thunderbird-24) shortly.

Comment 1 Gustavo Luiz Duarte 2014-04-11 21:31:29 UTC
Created attachment 885622 [details]
Part 1: Build/config support

Comment 2 Gustavo Luiz Duarte 2014-04-11 21:33:08 UTC
Created attachment 885623 [details]
Part2: libffi support

Comment 3 Gustavo Luiz Duarte 2014-04-11 21:34:13 UTC
Created attachment 885624 [details]
Part 3: xptcall port

Comment 4 Gustavo Luiz Duarte 2014-04-11 21:34:56 UTC
Created attachment 885625 [details]
Part 4: js support

Comment 5 Gustavo Luiz Duarte 2014-04-15 19:58:48 UTC
Please also consider the following change to the spec file:

@@ -275,7 +289,7 @@ export LIBDIR='%{_libdir}'
 MOZ_SMP_FLAGS=-j1
 # On x86 architectures, Mozilla can build up to 4 jobs at once in parallel,
 # however builds tend to fail on other arches when building in parallel.
-%ifarch %{ix86} x86_64 ppc ppc64
+%ifarch %{ix86} x86_64 ppc ppc64 ppc64le
 [ -z "$RPM_BUILD_NCPUS" ] && \
      RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
 [ "$RPM_BUILD_NCPUS" -ge 2 ] && MOZ_SMP_FLAGS=-j2

Comment 6 Jan Horak 2014-05-06 07:46:17 UTC
Thanks for the patches, should be part of thunderbird-24.5.0-2.fc21 build.


Note You need to log in before you can comment on or make changes to this bug.